Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class AttributeValueExp

    java.lang.Object
      |
      +--javax.management.QueryEval
            |
            +--javax.management.AttributeValueExp

All Implemented Interfaces:
  java.io.Serializable, ValueExp

Direct Known Subclasses:
  ClassAttributeValueExp, QualifiedAttributeValueExp

public class AttributeValueExp
extends QueryEval
implements ValueExp

Note: change from jmx-ri, extends QueryEval

Author:
  Young Yang
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.management.QueryEval
`server`

Constructor Summary
`AttributeValueExp()`
`AttributeValueExp(java.lang.String attr)` Creates a new `AttributeValueExp` representing the specified object attribute, named attr.

Method Summary
`ValueExp` | `apply(ObjectName name)` Applies the `AttributeValueExp` on an MBean.
`protected java.lang.Object` | `getAttribute(ObjectName objectname)`
`java.lang.String` | `getAttributeName()` Returns a string representation of the name of the attribute.
`void` | `setMBeanServer(MBeanServer s)` Sets the MBean server on which the query is to be performed.
`java.lang.String` | `toString()` Returns the string representing its value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeValueExp

    public AttributeValueExp()

### AttributeValueExp

    public AttributeValueExp(java.lang.String attr)

  Creates a new `AttributeValueExp` representing the specified object attribute, named attr.

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Returns a string representation of the name of the attribute.

### apply

    public ValueExp apply(ObjectName name)
                   throws BadStringOperationException,
                          BadBinaryOpValueExpException,
                          BadAttributeValueExpException,
                          InvalidApplicationException

  Applies the `AttributeValueExp` on an MBean.

  Specified by:
    `apply` in interface `ValueExp`
  Parameters:
    `name` - The name of the MBean on which the `AttributeValueExp` will be applied.
  Returns:
    The `ValueExp`.
  Throws:
    `BadAttributeValueExpException`
    `InvalidApplicationException`
    `BadStringOperationException`
    `BadBinaryOpValueExpException`

### toString

    public java.lang.String toString()

  Returns the string representing its value.

  Overrides:
    `toString` in class `java.lang.Object`

### setMBeanServer

    public void setMBeanServer(MBeanServer s)

  Sets the MBean server on which the query is to be performed.

  Specified by:
    `setMBeanServer` in interface `ValueExp`
  Overrides:
    `setMBeanServer` in class `QueryEval`
  Parameters:
    `s` - The MBean server on which the query is to be performed.

### getAttribute

    protected java.lang.Object getAttribute(ObjectName objectname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD